--
-- Licensed Materials - Property of IBM
-- 5698-SWD
-- (C)IBM Corp. 2006 All Rights Reserved
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
-- create_user_tab_columns.sql
--

drop view USER_TAB_COLUMNS;
create view USER_TAB_COLUMNS
as
select
    T.TABNAME as TABLE_NAME,
    C.COLNAME as COLUMN_NAME,
    C.TYPENAME as DATA_TYPE,
    C.LENGTH as DATA_LENGTH,
    C.LENGTH as DATA_PRECISION,
    C.SCALE as DATA_SCALE,
    C.NULLS as NULLABLE,
    C.COLNO as COLUMN_ID
from
    SYSCAT.TABLES T,SYSCAT.COLUMNS C
where
    T.TABNAME = C.TABNAME
and
    T.TABSCHEMA = C.TABSCHEMA
and
    T.TABSCHEMA = (VALUES(USER));
