--
-- Licensed Materials - Property of IBM
-- 5698-SWD
-- (C)IBM Corp. 2006 All Rights Reserved
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
-- create_ms_sql_user_tab_columns.sql
--

drop view user_tab_columns
go
create view user_tab_columns
    (TABLE_NAME, COLUMN_NAME, DATA_TYPE, DATA_LENGTH,
     DATA_PRECISION, DATA_SCALE, NULLABLE, COLUMN_ID)
AS
    SELECT sysobjects.name,
           syscolumns.name,
           syscolumns.type,
           syscolumns.length,
           syscolumns.prec,
           syscolumns.scale,
           convert(smallint, convert(bit, syscolumns.status&8)),
           syscolumns.colid
    FROM   sysobjects, syscolumns
    WHERE  sysobjects.id = syscolumns.id
go

