--
-- Licensed Materials - Property of IBM
-- 5698-SWD
-- (C)IBM Corp. 2006 All Rights Reserved
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
-- create_db2_mvs_user_tab_columns.sql
--


-- drop view USER_TAB_COLUMNS;
create view USER_TAB_COLUMNS
as
select
    T.NAME as TABLE_NAME,
    C.NAME as COLUMN_NAME,
    C.TYPENAME as DATA_TYPE,
    C.LENGTH as DATA_LENGTH,
    C.LENGTH as DATA_PRECISION,
    C.SCALE as DATA_SCALE,
    C.NULLS as NULLABLE,
    C.COLNO as COLUMN_ID
from
    SYSIBM.SYSTABLES T, SYSIBM.SYSCOLUMNS C
where
    T.NAME = C.TBNAME
;
