--
-- Licensed Materials - Property of IBM
-- 5698-SWD
-- (C)IBM Corp. 2006 All Rights Reserved
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
-- create_infx_user_tab_columns.sql
--

-- drop view USER_TAB_COLUMNS;
create view USER_TAB_COLUMNS
    (TABLE_NAME,COLUMN_NAME,DATA_TYPE,DATA_LENGTH,DATA_PRECISION,DATA_SCALE,NULLABLE,COLUMN_ID)
as
select
    T.TABNAME,C.COLNAME,I.TYPE_NAME,C.COLLENGTH,C.COLLENGTH,C.COLLENGTH,I.ALLOW_NULL,C.COLNO
from
    SYSTABLES T,SYSCOLUMNS C,INFX_COL_MAP I
where
    T.TABID = C.TABID
and
    C.COLTYPE = I.COL_TYPE;

